Bug 1281581 - [RFE] Update PS1 in stackrc and overcloudrc
[RFE] Update PS1 in stackrc and overcloudrc
Status: VERIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
low Severity low
: Upstream M1
: 12.0 (Pike)
Assigned To: James Slagle
Gurenko Alex
: FutureFeature, Triaged, UserExperience
Depends On:
Blocks: 1442136 1469579
  Show dependency treegraph
 
Reported: 2015-11-12 15:48 EST by Keith Schincke
Modified: 2017-11-01 05:57 EDT (History)
9 users (show)

See Also:
Fixed In Version: instack-undercloud-7.1.1-0.20170616135935.el7ost
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 443369 None None None 2017-03-08 19:17 EST
OpenStack gerrit 443370 None None None 2017-03-08 19:18 EST

  None (edit)
Description Keith Schincke 2015-11-12 15:48:18 EST
Description of problem:

It would help to avoid context confusion when working with the undercloud and overcloud from the OSPd server. 

I would recommend stackrc updating PS1 to include (undercloud) in the prompt and for the overcloudrc to include the name of the deployed overcloud. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Mike Burns 2016-04-07 16:57:01 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 4 Red Hat Bugzilla Rules Engine 2017-03-08 19:17:20 EST
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 5 Red Hat Bugzilla Rules Engine 2017-03-08 19:19:06 EST
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 9 Gurenko Alex 2017-11-01 05:57:14 EDT
All tests in Polarion are complete, automation is in place and green.

Note You need to log in before you can comment on or make changes to this bug.